Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class FolderIndexDeferredUpdate

    java.lang.Object
      oracle.ifs.common.FolderIndexDeferredUpdate

All Implemented Interfaces:
  java.io.Serializable

    public final class FolderIndexDeferredUpdate

extends java.lang.Object
implements java.io.Serializable

A FolderIndexDeferredUpdate contains information used to update the folder index asynchronously by an agent.

See Also:
  Serialized Form
(Unpublished)

Field Summary
`protected long` | `m_Id` The id of the deferred update entry
`protected long` | `m_LeftId` The left id (parent folder)
`protected int` | `m_Level` The map level.
`protected int` | `m_OperationType` The operation type.
`protected long` | `m_RightId` The right id (child folder)
`static int` | `OPERATION_TYPE_ADD_TO_FOLDER` The operation type for adding a folder to a folder, for creating a folder index deferred update entry.
`static int` | `OPERATION_TYPE_FREE_FOLDER` The operation type for freeing a folder, for creating a folder index deferred update entry.
`static int` | `OPERATION_TYPE_NEW_FOLDER` The operation type for a new folder, for creating a folder index deferred update entry.
`static int` | `OPERATION_TYPE_NO_OPERATION` The operation type for a no-op.
`static int` | `OPERATION_TYPE_PROMOTE_FOLDER` The operation type for promoting a folder, for creating a folder index deferred update entry.
`static int` | `OPERATION_TYPE_REMOVE_FROM_FOLDER` The operation type for removing a folder from a folder, for creating a folder index deferred update entry.

Constructor Summary
`FolderIndexDeferredUpdate(long id, int operationType, long leftId, long rightId, int level)` Constructs a FolderIndexDeferredUpdate.

Method Summary
`long` | `getId()` Gets the id of the entry
`long` | `getLeftId()` Gets the left ID for the entry
`int` | `getLevel()` Gets the map level for the entry
`int` | `getOperationType()` Gets the operation type for the entry
`long` | `getRightId()` Gets the right ID for the entry

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OPERATION_TYPE_NO_OPERATION

    public static final int OPERATION_TYPE_NO_OPERATION

  Description copied from class: `FolderIndexDeferredUpdate`
  The operation type for a no-op. Current value is 0.

  See Also:
    Constant Field Values
  (Unpublished)

### OPERATION_TYPE_NEW_FOLDER

    public static final int OPERATION_TYPE_NEW_FOLDER

  Description copied from class: `FolderIndexDeferredUpdate`
  The operation type for a new folder, for creating a folder index deferred update entry. Current value is 1.

  See Also:
    Constant Field Values
  (Unpublished)

### OPERATION_TYPE_FREE_FOLDER

    public static final int OPERATION_TYPE_FREE_FOLDER

  Description copied from class: `FolderIndexDeferredUpdate`
  The operation type for freeing a folder, for creating a folder index deferred update entry. Current value is 2.

  See Also:
    Constant Field Values
  (Unpublished)

### OPERATION_TYPE_ADD_TO_FOLDER

    public static final int OPERATION_TYPE_ADD_TO_FOLDER

  Description copied from class: `FolderIndexDeferredUpdate`
  The operation type for adding a folder to a folder, for creating a folder index deferred update entry. Current value is 3.

  See Also:
    Constant Field Values
  (Unpublished)

### OPERATION_TYPE_REMOVE_FROM_FOLDER

    public static final int OPERATION_TYPE_REMOVE_FROM_FOLDER

  Description copied from class: `FolderIndexDeferredUpdate`
  The operation type for removing a folder from a folder, for creating a folder index deferred update entry. Current value is 4.

  See Also:
    Constant Field Values
  (Unpublished)

### OPERATION_TYPE_PROMOTE_FOLDER

    public static final int OPERATION_TYPE_PROMOTE_FOLDER

  Description copied from class: `FolderIndexDeferredUpdate`
  The operation type for promoting a folder, for creating a folder index deferred update entry. Current value is 5.

  See Also:
    Constant Field Values
  (Unpublished)

### m_Id

    protected long m_Id

  Description copied from class: `FolderIndexDeferredUpdate`
  The id of the deferred update entry

  (Unpublished)

### m_OperationType

    protected int m_OperationType

  Description copied from class: `FolderIndexDeferredUpdate`
  The operation type.

  (Unpublished)

### m_LeftId

    protected long m_LeftId

  Description copied from class: `FolderIndexDeferredUpdate`
  The left id (parent folder)

  (Unpublished)

### m_RightId

    protected long m_RightId

  Description copied from class: `FolderIndexDeferredUpdate`
  The right id (child folder)

  (Unpublished)

### m_Level

    protected int m_Level

  Description copied from class: `FolderIndexDeferredUpdate`
  The map level.

  (Unpublished)

Constructor Detail

### FolderIndexDeferredUpdate

    public FolderIndexDeferredUpdate(long id,
                                     int operationType,
                                     long leftId,
                                     long rightId,
                                     int level)

  Constructs a FolderIndexDeferredUpdate.

  Parameters:
    `id` - the id of the entry inthe folder index update table
    `operationType` - the operation type
    `leftId` - the ID of the parent folder
    `rightId` - the ID of the child folder
    `level` - the folder index map level
  (Unpublished)

Method Detail

### getId

    public final long getId()

  Description copied from class: `FolderIndexDeferredUpdate`
  Gets the id of the entry

  Returns:
    the id
  (Published)

### getOperationType

    public final int getOperationType()

  Description copied from class: `FolderIndexDeferredUpdate`
  Gets the operation type for the entry

  Returns:
    the class id
  (Published)

### getLeftId

    public final long getLeftId()

  Description copied from class: `FolderIndexDeferredUpdate`
  Gets the left ID for the entry

  Returns:
    the left ID
  (Published)

### getRightId

    public final long getRightId()

  Description copied from class: `FolderIndexDeferredUpdate`
  Gets the right ID for the entry

  Returns:
    the right id
  (Published)

### getLevel

    public final int getLevel()

  Description copied from class: `FolderIndexDeferredUpdate`
  Gets the map level for the entry

  Returns:
    the map level
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD